// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_BOOTSTRAPPING({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled", className = "" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("rect", { x: "3", y: "22", width: "18", height: "2" }),
                React.createElement("path", { d: "M12,12c-12,0-9,9-9,9H21S24,12,12,12Z" }),
                React.createElement("path", { d: "M3,0,4,13c1.22-1.6,3.46-2.51,8-2.51s6.81.93,8,2.53L21,0ZM7,3H17V5H7ZM18,9H6V7H18Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M11.66669,12c-12,0-9,9-9,9v3h18V21S23.66669,12,11.66669,12Zm7,10h-14V21h14Zm0-2h-14c-.24292-1.93683-.11621-6,7-6C18.78448,14,18.90985,18.06409,18.66669,20Z" }),
                React.createElement("rect", { x: "8", y: "6", width: "8", height: "2" }),
                React.createElement("rect", { x: "9", y: "3", width: "6", height: "2" }),
                React.createElement("path", { d: "M12,0H3L4,13c1-1,2.0326-2.5,8-2.5,5.97082,0,7,1.5,8,2.5L21,0Zm6.30768,9H5.69232L5.15387,2H18.84613Z" }))));
}
;
export default EOS_BOOTSTRAPPING;
