// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_COMPARE_STATES({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled", className = "" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M21,16.18372V6a2,2,0,0,0-2-2H13.82837l1.58581-1.58582L14,1,11.41425,3.58575h-.00007L10,5l1.41418,1.41418L14,9l1.41418-1.41425L13.82843,6H19V16.18372a3,3,0,1,0,2,0Z" }),
                React.createElement("path", { d: "M12.58582,17.58575,10,15,8.58582,16.41418,10.17163,18H5V7.81628a3,3,0,1,0-2,0V18a2,2,0,0,0,2,2h5.17157L8.58582,21.58575,10,23l2.58582-2.58582L14,19l-1.41418-1.41425Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M10,15,8.58582,16.41418,10.17163,18H5V7.81628a3,3,0,1,0-2,0V18a2,2,0,0,0,2,2h5.17157L8.58582,21.58575,10,23l4-4ZM4,6A1,1,0,1,1,5,5,1,1,0,0,1,4,6Z" }),
                React.createElement("path", { d: "M21,16.18372V6a2,2,0,0,0-2-2H13.82837l1.58581-1.58582L14,1,10,5l4,4,1.41418-1.41425L13.82843,6H19V16.18372a3,3,0,1,0,2,0ZM20,20a1,1,0,1,1,1-1A1,1,0,0,1,20,20Z" }))));
}
;
export default EOS_COMPARE_STATES;
