// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_EDGE_COMPUTING({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled", className = "" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M8.82,10.99,7,9.17V6H6V2H9V6H8V8.76l1.72,1.72A5.61094,5.61094,0,0,1,12,10a5.5513,5.5513,0,0,1,1,.09V5.91a1.5,1.5,0,1,1,1,0v4.46A5.44733,5.44733,0,0,1,16.29,12h2.8a1.5,1.5,0,1,1,0,1H16.97a5.358,5.358,0,0,1,.54,1.53A3.73918,3.73918,0,0,1,17.25,22H7.5a4.499,4.499,0,0,1-2.47-8.26L3.14,11.85a1.51842,1.51842,0,1,1,.71-.71L5.98,13.27a4.419,4.419,0,0,1,1.03-.24A5.56248,5.56248,0,0,1,8.82,10.99Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M19.09,13a1.5,1.5,0,1,0,0-1h-2.8A5.44838,5.44838,0,0,0,14,10.37V5.91a1.5,1.5,0,1,0-1,0V10.09A5.55133,5.55133,0,0,0,12,10a5.61065,5.61065,0,0,0-2.28.48L8,8.76V6H9V2H6V6H7V9.17l1.82,1.82a5.56248,5.56248,0,0,0-1.81,2.04,4.41775,4.41775,0,0,0-1.03.24L3.85,11.14a1.51857,1.51857,0,1,0-.71.71l1.89,1.89A4.499,4.499,0,0,0,7.5,22h9.75a3.73918,3.73918,0,0,0,.26-7.47A5.358,5.358,0,0,0,16.97,13Zm-1.72,3.53A1.73624,1.73624,0,0,1,19,18.25,1.7584,1.7584,0,0,1,17.25,20H7.5a2.49777,2.49777,0,0,1-.28-4.98l1.07-.11.5-.96a3.61755,3.61755,0,0,1,6.76.97l.3,1.5Z" }))));
}
;
export default EOS_EDGE_COMPUTING;
