// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_ENV({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled", className = "" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M20,18a1,1,0,0,1-1,1H15a3,3,0,0,0-3,3,3,3,0,0,0-3-3H5a1,1,0,0,1-1-1H2a3,3,0,0,0,3,3H9a2,2,0,0,1,2,2h2a2,2,0,0,1,2-2h4a3,3,0,0,0,3-3Z" }),
                React.createElement("path", { d: "M20,6a1,1,0,0,0-1-1H15a3,3,0,0,1-3-3A3,3,0,0,1,9,5H5A1,1,0,0,0,4,6H2A3,3,0,0,1,5,3H9a2,2,0,0,0,2-2h2a2,2,0,0,0,2,2h4a3,3,0,0,1,3,3Z" }),
                React.createElement("polygon", { points: "12 12 9 8 7 8 7 16 9 16 9 12 12 16 14 16 14 8 12 8 12 12" }),
                React.createElement("polygon", { points: "21 8 19 13.27 17 8 15 8 18 16 20 16 23 8 21 8" }),
                React.createElement("polygon", { points: "1 8 1 16 6 16 6 14 3 14 3 13 5 13 5 11 3 11 3 10 6 10 6 8 1 8" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M20,18a1,1,0,0,1-1,1H15a3,3,0,0,0-3,3,3,3,0,0,0-3-3H5a1,1,0,0,1-1-1H2a3,3,0,0,0,3,3H9a2,2,0,0,1,2,2h2a2,2,0,0,1,2-2h4a3,3,0,0,0,3-3Z" }),
                React.createElement("path", { d: "M20,6a1,1,0,0,0-1-1H15a3,3,0,0,1-3-3A3,3,0,0,1,9,5H5A1,1,0,0,0,4,6H2A3,3,0,0,1,5,3H9a2,2,0,0,0,2-2h2a2,2,0,0,0,2,2h4a3,3,0,0,1,3,3Z" }),
                React.createElement("polygon", { points: "12 12 9 8 7 8 7 16 9 16 9 12 12 16 14 16 14 8 12 8 12 12" }),
                React.createElement("polygon", { points: "21 8 19 13.27 17 8 15 8 18 16 20 16 23 8 21 8" }),
                React.createElement("polygon", { points: "1 8 1 16 6 16 6 14 3 14 3 13 5 13 5 11 3 11 3 10 6 10 6 8 1 8" }))));
}
;
export default EOS_ENV;
