// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_FLOURESCENT({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled", className = "" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("rect", { height: "6", width: "14", x: "5", y: "9" }),
                React.createElement("rect", { height: "3", width: "2", x: "11", y: "2" }),
                React.createElement("rect", { height: "2", transform: "matrix(0.7046 -0.7096 0.7096 0.7046 1.1814 15.2381)", width: "2.54", x: "17.62", y: "5.2" }),
                React.createElement("rect", { height: "3", width: "2", x: "11", y: "19" }),
                React.createElement("polygon", { points: "17.29,17.71 19.08,19.51 20.5,18.09 18.7,16.3" }),
                React.createElement("rect", { height: "2.53", transform: "matrix(0.7071 -0.7071 0.7071 0.7071 -2.8904 5.4222)", width: "1.99", x: "4.1", y: "4.93" }),
                React.createElement("rect", { height: "2", transform: "matrix(0.7096 -0.7046 0.7046 0.7096 -11.1263 8.7897)", width: "2.54", x: "3.83", y: "16.89" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M5,15h14V9H5V15z M7,11h10v2H7V11z" }),
                React.createElement("rect", { height: "3", width: "2", x: "11", y: "2" }),
                React.createElement("rect", { height: "2", transform: "matrix(0.7046 -0.7096 0.7096 0.7046 1.1814 15.2381)", width: "2.54", x: "17.62", y: "5.2" }),
                React.createElement("rect", { height: "3", width: "2", x: "11", y: "19" }),
                React.createElement("polygon", { points: "17.29,17.71 19.08,19.51 20.5,18.09 18.7,16.3" }),
                React.createElement("rect", { height: "2.53", transform: "matrix(0.7071 -0.7071 0.7071 0.7071 -2.8904 5.4222)", width: "1.99", x: "4.1", y: "4.93" }),
                React.createElement("rect", { height: "2", transform: "matrix(0.7096 -0.7046 0.7046 0.7096 -11.1263 8.7897)", width: "2.54", x: "3.83", y: "16.89" }))));
}
;
export default EOS_FLOURESCENT;
