// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_ORGANIZATION({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled", className = "" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("polygon", { points: "20.01 10.99 18.51 10.99 13.01 10.99 13.01 8.99 11.01 8.99 11.01 10.99 5.47 10.99 4.01 10.99 3.47 10.99 3.47 14.99 5.47 14.99 5.47 12.99 11.01 12.99 11.01 14.99 13.01 14.99 13.01 12.99 18.51 12.99 18.51 14.99 20.51 14.99 20.51 10.99 20.01 10.99" }),
                React.createElement("circle", { cx: "12.01", cy: "4.51", r: "2.5" }),
                React.createElement("circle", { cx: "4.47", cy: "19.49", r: "2.5" }),
                React.createElement("circle", { cx: "12.01", cy: "19.49", r: "2.5" }),
                React.createElement("circle", { cx: "19.51", cy: "19.49", r: "2.5" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("polygon", { points: "13 11 13 9 11 9 11.025 11 3.5 11 3.5 15 5.5 15 5.5 13 11 13 11 15 13 15 13 13 18.505 13 18.5 15 20.5 15 20.5 11 13 11" }),
                React.createElement("path", { d: "M12,2a2.5,2.5,0,1,0,2.5,2.5A2.5,2.5,0,0,0,12,2Zm0,3.5a1,1,0,1,1,1-1A1,1,0,0,1,12,5.5Z" }),
                React.createElement("path", { d: "M4.5,17A2.5,2.5,0,1,0,7,19.5,2.5,2.5,0,0,0,4.5,17Zm0,3.5a1,1,0,1,1,1-1A1,1,0,0,1,4.5,20.5Z" }),
                React.createElement("path", { d: "M12,17a2.5,2.5,0,1,0,2.5,2.5A2.5,2.5,0,0,0,12,17Zm0,3.5a1,1,0,1,1,1-1A1,1,0,0,1,12,20.5Z" }),
                React.createElement("path", { d: "M19.5,17A2.5,2.5,0,1,0,22,19.5,2.5,2.5,0,0,0,19.5,17Zm0,3.5a1,1,0,1,1,1-1A1,1,0,0,1,19.5,20.5Z" }))));
}
;
export default EOS_ORGANIZATION;
