// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_SOFTWARE({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled", className = "" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M14,18.32A7.06,7.06,0,0,1,11.28,16H3V4H21V6.26a7.08,7.08,0,0,1,2,2.15V4a2,2,0,0,0-2-2H3A2,2,0,0,0,1,4V16a2,2,0,0,0,2,2h7v2H8v2h8V20H14Z" }),
                React.createElement("path", { d: "M17,6a6,6,0,1,0,6,6A6,6,0,0,0,17,6Zm0,7.5a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,17,13.5Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M14,18.31506A7.03742,7.03742,0,0,1,11.26343,16H3V4H21V6.26379a7.04551,7.04551,0,0,1,2,2.14948V4a2.00587,2.00587,0,0,0-2-2H3A2.00583,2.00583,0,0,0,1,4V16a2.00587,2.00587,0,0,0,2,2h7v2H8v2h8V20H14Z" }),
                React.createElement("path", { d: "M17,6a6,6,0,1,0,6,6A5.99835,5.99835,0,0,0,17,6Zm0,10a4,4,0,1,1,4-4A4.00454,4.00454,0,0,1,17,16Z" }),
                React.createElement("circle", { cx: "17", cy: "12", r: "1" }))));
}
;
export default EOS_SOFTWARE;
