// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_SYSTEM_WARNING({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled", className = "" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M21,2H3A2,2,0,0,0,1,4V16a2,2,0,0,0,2,2h7v2H8v2h8V20H14V18h7a2,2,0,0,0,2-2V4A2,2,0,0,0,21,2Zm0,14H3V4H21Z" }),
                React.createElement("rect", { x: "11.01", y: "12.99", width: "2", height: "2" }),
                React.createElement("rect", { x: "11.01", y: "4.99", width: "2", height: "6" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M21,2H3A2,2,0,0,0,1,4V16a2,2,0,0,0,2,2h7v2H8v2h8V20H14V18h7a2,2,0,0,0,2-2V4A2,2,0,0,0,21,2Zm0,14H3V4H21Z" }),
                React.createElement("rect", { x: "11.01", y: "12.99", width: "2", height: "2" }),
                React.createElement("rect", { x: "11.01", y: "4.99", width: "2", height: "6" }))));
}
;
export default EOS_SYSTEM_WARNING;
