"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_AI({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled", className = "" }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M21,11V9H19V7a2.00587,2.00587,0,0,0-2-2H15V3H13V5H11V3H9V5H7A2.00587,2.00587,0,0,0,5,7V9H3v2H5v2H3v2H5v2a2.00591,2.00591,0,0,0,2,2H9v2h2V19h2v2h2V19h2a2.00591,2.00591,0,0,0,2-2V15h2V13H19V11Zm-4,6H7V7H17Z" }),
                React.createElement("path", { d: "M11.36119,8h-1.3448L8.00515,16H9.03329L9.497,14.12463h2.31618L12.26513,16h1.06232ZM9.6324,13.32371,10.64924,8.9504h.04547l.9831,4.37331Z" }),
                React.createElement("rect", { x: "14.2436", y: "8", width: "1", height: "8" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M21,11V9H19V7a2.00587,2.00587,0,0,0-2-2H15V3H13V5H11V3H9V5H7A2.00587,2.00587,0,0,0,5,7V9H3v2H5v2H3v2H5v2a2.00591,2.00591,0,0,0,2,2H9v2h2V19h2v2h2V19h2a2.00591,2.00591,0,0,0,2-2V15h2V13H19V11Zm-4,6H7V7H17Z" }),
                React.createElement("path", { d: "M11.36119,8h-1.3448L8.00515,16H9.03329L9.497,14.12463h2.31618L12.26513,16h1.06232ZM9.6324,13.32371,10.64924,8.9504h.04547l.9831,4.37331Z" }),
                React.createElement("rect", { x: "14.2436", y: "8", width: "1", height: "8" }))));
}
;
exports.default = EOS_AI;
