"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_HARDWARE_CIRCUIT({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled", className = "" }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M22,0H2A2,2,0,0,0,0,2V22a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V2A2,2,0,0,0,22,0ZM6,16a1,1,0,1,1,1-1A1.00115,1.00115,0,0,1,6,16ZM22,6H19.81628a3,3,0,1,0,0,2H22v4H18v2h4v2H20v2h2v4H14V20.81628a3,3,0,1,0-2,0V22H7V17.81628a3,3,0,1,0-2,0V22H2V2H6V8H8V2h2V12h2V2H22ZM18,7a1,1,0,1,1-1-1A1.00115,1.00115,0,0,1,18,7Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M22,0H2A2,2,0,0,0,0,2V22a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V2A2,2,0,0,0,22,0ZM6,16a1,1,0,1,1,1-1A1.00115,1.00115,0,0,1,6,16ZM22,6H19.81628a3,3,0,1,0,0,2H22v4H18v2h4v2H20v2h2v4H14V20.81628a3,3,0,1,0-2,0V22H7V17.81628a3,3,0,1,0-2,0V22H2V2H6V8H8V2h2V12h2V2H22ZM18,7a1,1,0,1,1-1-1A1.00115,1.00115,0,0,1,18,7Z" }))));
}
;
exports.default = EOS_HARDWARE_CIRCUIT;
