"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_REPOSITORIES({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled", className = "" }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("polygon", { points: "8 23.01 10.5 21.51 13 23.01 13 19 8 19 8 23.01" }),
                React.createElement("rect", { x: "8", y: "5", width: "2", height: "2" }),
                React.createElement("rect", { x: "8", y: "10", width: "2", height: "2" }),
                React.createElement("rect", { x: "8", y: "15.01", width: "2", height: "2" }),
                React.createElement("path", { d: "M18.36,1.05A1.47,1.47,0,0,0,18,1H6A2,2,0,0,0,4,3V19a2,2,0,0,0,2,2V3H18V19H15v2h3a2,2,0,0,0,2-2V3A2,2,0,0,0,18.36,1.05Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("polygon", { points: "8 23.01 10.5 21.51 13 23.01 13 19 8 19 8 23.01" }),
                React.createElement("rect", { x: "8", y: "5", width: "2", height: "2" }),
                React.createElement("rect", { x: "8", y: "10", width: "2", height: "2" }),
                React.createElement("rect", { x: "8", y: "15.01", width: "2", height: "2" }),
                React.createElement("path", { d: "M18.36,1.05A1.47,1.47,0,0,0,18,1H6A2,2,0,0,0,4,3V19a2,2,0,0,0,2,2V3H18V19H15v2h3a2,2,0,0,0,2-2V3A2,2,0,0,0,18.36,1.05Z" }))));
}
;
exports.default = EOS_REPOSITORIES;
