"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_SUBSCRIPTIONS_CREATED({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled", className = "" }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("rect", { x: "4.01", y: "6.01", width: "16", height: "2" }),
                React.createElement("rect", { x: "6.01", y: "2.01", width: "12", height: "2" }),
                React.createElement("path", { d: "M20,10H4a2,2,0,0,0-2,2v8a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V12A2,2,0,0,0,20,10Zm-9.7,10L7,16.76l1.4-1.4,1.9,1.9,5.3-5.3,1.4,1.4Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M20,8H4V6H20ZM18,2H6V4H18Z" }),
                React.createElement("path", { d: "M10.31183,21.1l-3.3-3.3,1.4-1.4,1.9,1.9,5.3-5.3,1.4,1.4Z" }),
                React.createElement("path", { d: "M22,10H2a2,2,0,0,0-2,2V22a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V12A2,2,0,0,0,22,10Zm0,12H2V12H22Z" }))));
}
;
exports.default = EOS_SUBSCRIPTIONS_CREATED;
