"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_SUBSCRIPTION_MANAGEMENT({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled", className = "" }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("polygon", { points: "6 19 11 19 11 23 8.5 21.5 6 23 6 19" }),
                React.createElement("path", { d: "M20,1H12V23l2.5-1.5L17,23V21h3a2,2,0,0,0,2-2V3A2,2,0,0,0,20,1ZM14,5h2V7H14Zm0,5h2v2H14Zm0,5h2v2H14Z" }),
                React.createElement("path", { d: "M4,1A2.00588,2.00588,0,0,0,2,3V19a2.006,2.006,0,0,0,2,2V3h7V1Z" }),
                React.createElement("rect", { x: "6", y: "5", width: "2", height: "2" }),
                React.createElement("rect", { x: "6", y: "10", width: "2", height: "2" }),
                React.createElement("rect", { x: "6", y: "15", width: "2", height: "2" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("polygon", { points: "6 19 11 19 11 23 8.5 21.5 6 23 6 19" }),
                React.createElement("path", { d: "M20,1H12V23l2.5-1.5L17,23V21h3a2,2,0,0,0,2-2V3A2,2,0,0,0,20,1ZM14,5h2V7H14Zm0,5h2v2H14Zm0,5h2v2H14Z" }),
                React.createElement("path", { d: "M4,1A2.00588,2.00588,0,0,0,2,3V19a2.006,2.006,0,0,0,2,2V3h7V1Z" }),
                React.createElement("rect", { x: "6", y: "5", width: "2", height: "2" }),
                React.createElement("rect", { x: "6", y: "10", width: "2", height: "2" }),
                React.createElement("rect", { x: "6", y: "15", width: "2", height: "2" }))));
}
;
exports.default = EOS_SUBSCRIPTION_MANAGEMENT;
